Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 171818 - AssertionError at org.netbeans.modules.php.editor.model.Model.getModelVisitor
AssertionError at org.netbeans.modules.php.editor.model.Model.getModelVisitor
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: CSL (API & infrastructure)
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@editor
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: PERFORMANCE
Depends on: 170882
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-09 13:29 UTC by rmatous
Modified: 2009-09-18 22:48 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.06 KB, text/plain)
2009-09-09 13:29 UTC, rmatous
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rmatous 2009-09-09 13:29:30 UTC
Build: NetBeans IDE Dev (Build 090908)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b02
OS: Linux, 2.6.24-24-generic, i386

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.php.editor.model.Model.getModelVisitor(Model.java:91)
        at org.netbeans.modules.php.editor.model.Model.getOccurencesSupport(Model.java:70)
        at org.netbeans.modules.php.editor.nav.DeclarationFinderImpl.findDeclarationImpl(DeclarationFinderImpl.java:101)
        at org.netbeans.modules.php.editor.nav.DeclarationFinderImpl.findDeclaration(DeclarationFinderImpl.java:70)
        at org.netbeans.modules.csl.editor.hyperlink.GoToSupport$1.run(GoToSupport.java:152)
        at org.netbeans.modules.parsing.api.ParserManager$UserTaskAction.run(ParserManager.java:129)
Comment 1 rmatous 2009-09-09 13:29:34 UTC
Created attachment 87361 [details]
stacktrace
Comment 2 rmatous 2009-09-09 13:32:07 UTC
WARNING [org.netbeans.modules.parsing.impl.TaskProcessor]: ParserManager.parse called in AWT event thread by:
org.netbeans.modules.csl.editor.hyperlink.GoToSupport.perform(GoToSupport.java:130)
Comment 3 Jan Lahoda 2009-09-15 18:28:17 UTC
Should be fixed by 563345389351.
Comment 4 Quality Engineering 2009-09-18 22:48:35 UTC
Integrated into 'main-golden', will be available in build *200909181401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/563345389351
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #171818: using RunOffAWT compute Go to Declaration target.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo